std::__debug Namespace Reference

## Classes

class | bitset
class | deque
class | forward_list
class | list
class | map
class | multimap
class | multiset
class | set
class | unordered_map
class | unordered_multimap
class | unordered_multiset
class | unordered_set
class | vector

## Functions

template<typename _Tp , typename _Alloc >
bool | operator!= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator!= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator!= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator!= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator!= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator!= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator!= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator!= (const unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | operator!= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<size_t _Nb>
bitset< _Nb > | operator& (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _Tp , typename _Alloc >
bool | operator< (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator< (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator< (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator< (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator< (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator< (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator< (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator< (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const bitset< _Nb > &__x)
template<typename _Tp , typename _Alloc >
bool | operator<= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator<= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator<= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator<= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator<= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator<= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator<= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator<= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator== (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator== (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator== (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator== (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator== (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator== (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator== (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
bool | operator== (const unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, const unordered_set< _Value, _Hash, _Pred, _Alloc > &__y)
template<typename _Tp , typename _Alloc >
bool | operator== (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator> (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator> (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator> (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator> (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator> (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator> (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const deque< _Tp, _Alloc > &__lhs, const deque< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const forward_list< _Tp, _Alloc > &__lx, const forward_list< _Tp, _Alloc > &__ly)
template<typename _Tp , typename _Alloc >
bool | operator>= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator>= (const map< _Key, _Tp, _Compare, _Allocator > &__lhs, const map< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
bool | operator>= (const multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, const multimap< _Key, _Tp, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator>= (const multiset< _Key, _Compare, _Allocator > &__lhs, const multiset< _Key, _Compare, _Allocator > &__rhs)
template<typename _Key , typename _Compare , typename _Allocator >
bool | operator>= (const set< _Key, _Compare, _Allocator > &__lhs, const set< _Key, _Compare, _Allocator > &__rhs)
template<typename _Tp , typename _Alloc >
bool | operator>= (const vector< _Tp, _Alloc > &__lhs, const vector< _Tp, _Alloc > &__rhs)
template<typename _CharT , typename _Traits , size_t _Nb>
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, bitset< _Nb > &__x)
template<size_t _Nb>
bitset< _Nb > | operator^ (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<size_t _Nb>
bitset< _Nb > | operator| (const bitset< _Nb > &__x, const bitset< _Nb > &__y) noexcept
template<typename _Tp , typename _Alloc >
void | swap (deque< _Tp, _Alloc > &__lhs, deque< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _Tp , typename _Alloc >
void | swap (forward_list< _Tp, _Alloc > &__lx, forward_list< _Tp, _Alloc > &__ly) noexcept(noexcept(__lx.swap(__ly)))
template<typename _Tp , typename _Alloc >
void | swap (list< _Tp, _Alloc > &__lhs, list< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | swap (map< _Key, _Tp, _Compare, _Allocator > &__lhs, map< _Key, _Tp, _Compare, _Allocator > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >
void | swap (multimap< _Key, _Tp, _Compare, _Allocator > &__lhs, multimap< _Key, _Tp, _Compare, _Allocator > &__rhs) noexcept(/*conditional */)
template<typename _Key , typename _Compare , typename _Allocator >
void | swap (multiset< _Key, _Compare, _Allocator > &__x, multiset< _Key, _Compare, _Allocator > &__y) noexcept(/*conditional */)
template<typename _Key , typename _Compare , typename _Allocator >
void | swap (set< _Key, _Compare, _Allocator > &__x, set< _Key, _Compare, _Allocator > &__y) noexcept(/*conditional */)
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >
void | swap (unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, unordered_set< _Value, _Hash, _Pred, _Alloc > &__y) noexcept(noexcept(__x.swap(__y)))
template<typename _Tp , typename _Alloc >
void | swap (vector< _Tp, _Alloc > &__lhs, vector< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)

## Detailed Description

GNU debug code, replaces standard behavior with debug behavior.

Macros and namespaces used by the implementation outside of debug wrappers to verify certain properties. The __glibcxx_requires_xxx macros are merely wrappers around the __glibcxx_check_xxx wrappers when we are compiling with debug mode, but disappear when we are in release mode so that there is no checking performed in, e.g., the standard library algorithms.

## Function Documentation

## operator!=() [1/12]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator!= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 674 of file debug/deque.

## operator!=() [2/12]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator!= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Definition at line 874 of file debug/forward_list.

## operator!=() [3/12]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator!= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 929 of file debug/list.

## operator!=() [4/12]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator!= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 763 of file map.h.

## operator!=() [5/12]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator!= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 644 of file multimap.h.

## operator!=() [6/12]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator!= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 614 of file multiset.h.

## operator!=() [7/12]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator!= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 625 of file set.h.

## operator!=() [8/12]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator!= | ( | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 799 of file debug/unordered_map.

## operator!=() [9/12]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator!= | ( | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 1457 of file debug/unordered_map.

## operator!=() [10/12]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator!= | ( | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 1285 of file debug/unordered_set.

## operator!=() [11/12]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator!= | ( | const unordered_set< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_set< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 669 of file debug/unordered_set.

## operator!=() [12/12]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator!= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 753 of file debug/vector.

## operator&()

template<size_t _Nb>

bitset< _Nb > std::__debug::operator& | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 388 of file debug/bitset.

## operator<() [1/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator< | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 679 of file debug/deque.

## operator<() [2/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator< | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Definition at line 867 of file debug/forward_list.

## operator<() [3/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator< | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 934 of file debug/list.

## operator<() [4/8]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator< | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 769 of file map.h.

## operator<() [5/8]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator< | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 650 of file multimap.h.

## operator<() [6/8]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator< | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 619 of file multiset.h.

## operator<() [7/8]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator< | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 630 of file set.h.

## operator<() [8/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator< | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 758 of file debug/vector.

## operator<<()

template<typename _CharT , typename _Traits , size_t _Nb>

std::basic_ostream< _CharT, _Traits > & std::__debug::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const bitset< _Nb > & | __x
| ) |  |

Definition at line 403 of file debug/bitset.

## operator<=() [1/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator<= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 685 of file debug/deque.

## operator<=() [2/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator<= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Based on operator<.

Definition at line 894 of file debug/forward_list.

## operator<=() [3/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator<= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 940 of file debug/list.

## operator<=() [4/8]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator<= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 776 of file map.h.

## operator<=() [5/8]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator<= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 657 of file multimap.h.

## operator<=() [6/8]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator<= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 625 of file multiset.h.

## operator<=() [7/8]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator<= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 636 of file set.h.

## operator<=() [8/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator<= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 764 of file debug/vector.

## operator==() [1/12]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator== | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 662 of file debug/deque.

## operator==() [2/12]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator== | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

protected

Definition at line 855 of file debug/forward_list.

## operator==() [3/12]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator== | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 917 of file debug/list.

## operator==() [4/12]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator== | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 749 of file map.h.

## operator==() [5/12]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator== | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 630 of file multimap.h.

## operator==() [6/12]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator== | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 601 of file multiset.h.

## operator==() [7/12]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator== | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 612 of file set.h.

## operator==() [8/12]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator== | ( | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 791 of file debug/unordered_map.

## operator==() [9/12]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator== | ( | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 1449 of file debug/unordered_map.

## operator==() [10/12]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator== | ( | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 1278 of file debug/unordered_set.

## operator==() [11/12]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

bool std::__debug::operator== | ( | const unordered_set< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | const unordered_set< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline

Definition at line 662 of file debug/unordered_set.

## operator==() [12/12]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator== | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 741 of file debug/vector.

## operator>() [1/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator> | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 698 of file debug/deque.

## operator>() [2/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator> | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Based on operator<.

Definition at line 881 of file debug/forward_list.

## operator>() [3/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator> | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 953 of file debug/list.

## operator>() [4/8]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator> | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 791 of file map.h.

## operator>() [5/8]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator> | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 672 of file multimap.h.

## operator>() [6/8]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator> | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 638 of file multiset.h.

## operator>() [7/8]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator> | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 649 of file set.h.

## operator>() [8/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator> | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 777 of file debug/vector.

## operator>=() [1/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator>= | ( | const deque< _Tp, _Alloc > & | __lhs,
|  | const deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 692 of file debug/deque.

## operator>=() [2/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator>= | ( | const forward_list< _Tp, _Alloc > & | __lx,
|  | const forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected

Based on operator<.

Definition at line 888 of file debug/forward_list.

## operator>=() [3/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator>= | ( | const list< _Tp, _Alloc > & | __lhs,
|  | const list< _Tp, _Alloc > & | __rhs
| ) |  |

inline

Definition at line 947 of file debug/list.

## operator>=() [4/8]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator>= | ( | const map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 784 of file map.h.

## operator>=() [5/8]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

bool std::__debug::operator>= | ( | const multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | const multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 665 of file multimap.h.

## operator>=() [6/8]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator>= | ( | const multiset< _Key, _Compare, _Allocator > & | __lhs,
|  | const multiset< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 632 of file multiset.h.

## operator>=() [7/8]

template<typename _Key , typename _Compare , typename _Allocator >

bool std::__debug::operator>= | ( | const set< _Key, _Compare, _Allocator > & | __lhs,
|  | const set< _Key, _Compare, _Allocator > & | __rhs
| ) |  |

inline

Definition at line 643 of file set.h.

## operator>=() [8/8]

template<typename _Tp , typename _Alloc >

bool std::__debug::operator>= | ( | const vector< _Tp, _Alloc > & | __lhs,
|  | const vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected

Definition at line 771 of file debug/vector.

## operator>>()

template<typename _CharT , typename _Traits , size_t _Nb>

std::basic_istream< _CharT, _Traits > & std::__debug::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | bitset< _Nb > & | __x
| ) |  |

Definition at line 403 of file debug/bitset.

## operator^()

template<size_t _Nb>

bitset< _Nb > std::__debug::operator^ | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 398 of file debug/bitset.

## operator|()

template<size_t _Nb>

bitset< _Nb > std::__debug::operator| | ( | const bitset< _Nb > & | __x,
|  | const bitset< _Nb > & | __y
| ) |  |

noexcept

Definition at line 393 of file debug/bitset.

## swap() [1/12]

template<typename _Tp , typename _Alloc >

void std::__debug::swap | ( | deque< _Tp, _Alloc > & | __lhs,
|  | deque< _Tp, _Alloc > & | __rhs
| ) |  |

inline noexcept

Definition at line 705 of file debug/deque.

## swap() [2/12]

template<typename _Tp , typename _Alloc >

void std::__debug::swap | ( | forward_list< _Tp, _Alloc > & | __lx,
|  | forward_list< _Tp, _Alloc > & | __ly
| ) |  |

inline protected noexcept

See std::forward_list::swap().

Definition at line 903 of file debug/forward_list.

## swap() [3/12]

template<typename _Tp , typename _Alloc >

void std::__debug::swap | ( | list< _Tp, _Alloc > & | __lhs,
|  | list< _Tp, _Alloc > & | __rhs
| ) |  |

inline noexcept

Definition at line 960 of file debug/list.

## swap() [4/12]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

void std::__debug::swap | ( | map< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | map< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline noexcept

Definition at line 799 of file map.h.

## swap() [5/12]

template<typename _Key , typename _Tp , typename _Compare , typename _Allocator >

void std::__debug::swap | ( | multimap< _Key, _Tp, _Compare, _Allocator > & | __lhs,
|  | multimap< _Key, _Tp, _Compare, _Allocator > & | __rhs
| ) |  |

inline noexcept

Definition at line 680 of file multimap.h.

## swap() [6/12]

template<typename _Key , typename _Compare , typename _Allocator >

void std::__debug::swap | ( | multiset< _Key, _Compare, _Allocator > & | __x,
|  | multiset< _Key, _Compare, _Allocator > & | __y
| ) |  |

noexcept

Definition at line 645 of file multiset.h.

## swap() [7/12]

template<typename _Key , typename _Compare , typename _Allocator >

void std::__debug::swap | ( | set< _Key, _Compare, _Allocator > & | __x,
|  | set< _Key, _Compare, _Allocator > & | __y
| ) |  |

noexcept

Definition at line 656 of file set.h.

## swap() [8/12]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

void std::__debug::swap | ( | unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 783 of file debug/unordered_map.

## swap() [9/12]

template<typename _Key , typename _Tp , typename _Hash , typename _Pred , typename _Alloc >

void std::__debug::swap | ( | unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 1441 of file debug/unordered_map.

## swap() [10/12]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

void std::__debug::swap | ( | unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_multiset< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 1271 of file debug/unordered_set.

## swap() [11/12]

template<typename _Value , typename _Hash , typename _Pred , typename _Alloc >

void std::__debug::swap | ( | unordered_set< _Value, _Hash, _Pred, _Alloc > & | __x,
|  | unordered_set< _Value, _Hash, _Pred, _Alloc > & | __y
| ) |  |

inline noexcept

Definition at line 655 of file debug/unordered_set.

## swap() [12/12]

template<typename _Tp , typename _Alloc >

void std::__debug::swap | ( | vector< _Tp, _Alloc > & | __lhs,
|  | vector< _Tp, _Alloc > & | __rhs
| ) |  |

inline protected noexcept

Definition at line 784 of file debug/vector.